Security update for apache2

SUSE Security Update: Security update for apache2
Announcement ID: SUSE-SU-2017:0797-1
Rating: moderate
References: #1016712 #1016714 #1016715 #1019380
Affected Products:
  • SUSE Linux Enterprise Software Development Kit 12-SP2
  • SUSE Linux Enterprise Server for Raspberry Pi 12-SP2
  • SUSE Linux Enterprise Server 12-SP2

  • An update that solves three vulnerabilities and has one errata is now available.

    Description:


    This update for apache2 fixes the following security issues:

    Security issues fixed:
    - CVE-2016-0736: Protect mod_session_crypto data with a MAC to prevent
    padding oracle attacks (bsc#1016712).
    - CVE-2016-2161: Malicious input to mod_auth_digest could have caused the
    server to crash, resulting in DoS (bsc#1016714).
    - CVE-2016-8743: Added new directive "HttpProtocolOptions Strict" to avoid
    proxy chain misinterpretation (bsc#1016715).

    Bugfixes:
    - Add missing copy of hcuri and hcexpr from the worker to the health check
    worker (bsc#1019380).

    Patch Instructions:

    To install this SUSE Security Update use YaST online_update.
    Alternatively you can run the command listed for your product:

    • SUSE Linux Enterprise Software Development Kit 12-SP2:
      zypper in -t patch SUSE-SLE-SDK-12-SP2-2017-450=1
    • SUSE Linux Enterprise Server for Raspberry Pi 12-SP2:
      zypper in -t patch SUSE-SLE-RPI-12-SP2-2017-450=1
    • SUSE Linux Enterprise Server 12-SP2:
      zypper in -t patch SUSE-SLE-SERVER-12-SP2-2017-450=1

    To bring your system up-to-date, use "zypper patch".

    Package List:

    • SUSE Linux Enterprise Software Development Kit 12-SP2 (aarch64 ppc64le s390x x86_64):
      • apache2-debuginfo-2.4.23-21.1
      • apache2-debugsource-2.4.23-21.1
      • apache2-devel-2.4.23-21.1
    • SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (aarch64):
      • apache2-2.4.23-21.1
      • apache2-debuginfo-2.4.23-21.1
      • apache2-debugsource-2.4.23-21.1
      • apache2-example-pages-2.4.23-21.1
      • apache2-prefork-2.4.23-21.1
      • apache2-prefork-debuginfo-2.4.23-21.1
      • apache2-utils-2.4.23-21.1
      • apache2-utils-debuginfo-2.4.23-21.1
      • apache2-worker-2.4.23-21.1
      • apache2-worker-debuginfo-2.4.23-21.1
    • SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (noarch):
      • apache2-doc-2.4.23-21.1
    • SUSE Linux Enterprise Server 12-SP2 (aarch64 ppc64le x86_64):
      • apache2-2.4.23-21.1
      • apache2-debuginfo-2.4.23-21.1
      • apache2-debugsource-2.4.23-21.1
      • apache2-example-pages-2.4.23-21.1
      • apache2-prefork-2.4.23-21.1
      • apache2-prefork-debuginfo-2.4.23-21.1
      • apache2-utils-2.4.23-21.1
      • apache2-utils-debuginfo-2.4.23-21.1
      • apache2-worker-2.4.23-21.1
      • apache2-worker-debuginfo-2.4.23-21.1
    • SUSE Linux Enterprise Server 12-SP2 (noarch):
      • apache2-doc-2.4.23-21.1

    References: